Bug 664493 - Review Request: httpcomponents-client - HTTP agent implementation based on httpcomponents HttpCore
Summary: Review Request: httpcomponents-client - HTTP agent implementation based on h...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 664465
Blocks: 639805
TreeView+ depends on / blocked
 
Reported: 2010-12-20 15:27 UTC by Stanislav Ochotnicky
Modified: 2010-12-23 11:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 11:16:58 UTC
akurtako: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-12-20 15:27:19 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/httpcomponents-client.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/httpcomponents-client-4.0.3-1.fc14.src.rpm

Description: 
HttpClient is a HTTP/1.1 compliant HTTP agent implementation based on
httpcomponents HttpCore. It also provides reusable components for
client-side authentication, HTTP state management, and HTTP connection
management. HttpComponents Client is a successor of and replacement
for Commons HttpClient 3.x. Users of Commons HttpClient are strongly
encouraged to upgrade.

Comment 1 Alexander Kurtakov 2010-12-21 19:56:37 UTC
I'll do this one.

Comment 2 Alexander Kurtakov 2010-12-21 20:08:55 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
httpcomponents-client.noarch: W: non-conffile-in-etc /etc/maven/fragments/httpcomponents-client
Not a problem.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :003b803d1aa9c873c6d22e7471856254
MD5SUM upstream package:003b803d1aa9c873c6d22e7471856254
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)
 
=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

=== Issues ===
1. License in a javadoc subpoackage. Not a blocker though. Please fix it when you commit.



This package is APPROVED.

Comment 3 Stanislav Ochotnicky 2010-12-22 09:27:05 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/httpcomponents-client.spec
SRPM URL:
http://sochotni.fedorapeople.org/packages/httpcomponents-client-4.0.3-2.fc14.src.rpm


New Package SCM Request
=======================
Package Name: httpcomponents-client
Short Description: HTTP agent implementation based on httpcomponents HttpCore
Owners: sochotni
Branches: f14
InitialCC: java-sig

f14 branch only as workaround for fedpkg bug

Comment 4 Jason Tibbitts 2010-12-22 17:19:28 UTC
Git done (by process-git-requests).

Comment 5 Stanislav Ochotnicky 2010-12-23 11:16:58 UTC
Built in rawhide. Thanks for review & repos
http://koji.fedoraproject.org/koji/taskinfo?taskID=2686340


Note You need to log in before you can comment on or make changes to this bug.